INTERFACE
SUBROUTINE SUEHOWLSM(KAFPB,PTMERGL,PTSIN,PLSMIN,PTSOUT,PLSMOUT,KLSIM,KBINL,&
 & KLEN,KL0,PDLAT,PDLO,PDLO1,PDLO2,PDLO3,PDELY,PWXX) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KAFPB
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
REAL(KIND=JPRB) ,INTENT(IN) :: PTMERGL
REAL(KIND=JPRB) ,INTENT(IN) :: PTSIN(KAFPB)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSMIN(KAFPB)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSOUT(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSMOUT(KLEN)
INTEGER(KIND=JPIM),INTENT(IN) :: KLSIM
INTEGER(KIND=JPIM),INTENT(IN) :: KBINL
INTEGER(KIND=JPIM),INTENT(IN) :: KL0(KLEN,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLAT(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO1(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO2(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO3(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELY
REAL(KIND=JPRB) ,INTENT(OUT) :: PWXX(KLEN,KBINL)
END SUBROUTINE SUEHOWLSM
END INTERFACE
